#include "string.h"
#include <esp_log.h>
#include "nvs_flash.h"
#include "esp_spiffs.h"

static const char *TAG = "example spiffs";

struct st_info_data {         
    char _deco[5];
    char _st_ID[20];
    char _st_URL[200];
};

struct st_info_data info_data[6];

void read_station(void)
{
	char buf[330];
    FILE *fp = NULL;
    int a,b;

	fp = fopen("/spiffs/station.txt", "r");
	for(a = 0; a < 6; a ++)
	{
		fgets(buf, 300, fp);
		buf[strlen(buf) - 1] = 0;

		*(strchr(buf, ',')) = 0;
		strcpy(info_data[a]._deco, buf);
		b = strlen(buf) + 1;

		*(strchr(&buf[b], ',')) = 0;
		strcpy(info_data[a]._st_ID, &buf[b]);
		b += (strlen(&buf[b]) + 1);
		
		strcpy(info_data[a]._st_URL, &buf[b]);
	}	
	fclose(fp);
}

void init_spiffs(void)
{
    esp_vfs_spiffs_conf_t conf = {
      .base_path = "/spiffs",
      .partition_label = NULL,
      .max_files = 5,
      .format_if_mount_failed = false
    };

    esp_vfs_spiffs_register(&conf);
}

void app_main(void)
{
	int a;
    
    ESP_ERROR_CHECK(nvs_flash_init());
    
	init_spiffs();
    read_station();
    
    for(a = 0; a < 6; a ++)
	   	ESP_LOGI(TAG, "No.%d:  _deco: %s  ID: %s URL: %s", a, info_data[a]._deco, info_data[a]._st_ID, info_data[a]._st_URL);
   
}
